Locations
All operations require authentication.
List available regions and their availability zonesProduction
Query parameters
Filter by availability zone. Returns locations having this availability zone.
Filter by city ISO code
Filter by city name
Filter by region code
Filter by country ISO code
Filter by country name
Filter by datacenter
Filter by geography code
Filter by geography name
Filter by region IDs
Locale name for translation
cs_CZde_DEen_ASen_AUen_CAen_GBen_IEen_INen_SGen_USen_WWes_ESes_SAfi_FIfr_CAfr_FRfr_MAfr_SNfr_TNit_ITlt_LTnl_NLpl_PLpt_PTFilter by region location
Filter by region name
Filter by services. Returns locations having at least one of the services in the list.
OCCPEERINGFilter by specific region type
BACKUPLZSNCSTANDARDFilter by status
NON_OPERATIONALOPERATIONALFilter by general region type
LOCAL-ZONEREGION-1-AZREGION-3-AZalso return NON_OPERATIONAL regions that are planned
Headers
Pagination cursor
Pagination size
Response
List of datacenters by availability zone
List of availability zones for the region
Localized cardinal direction where the region is located. The value depends on the language query parameter.
ISO code of the city
Geographical latitude of the city
Geographical longitude of the city
Full name of the city
Region's short code
ISO code of the country
Full name of the country
Short code representing the geographical area
Name of the geographical area
Location of the region
Name of the region
Year the region was opened
List of services available in the region
OCCPEERINGSpecific typology of the region
BACKUPLZSNCSTANDARDOperational status of the region
NON_OPERATIONALOPERATIONALGeneral typology of the region
LOCAL-ZONEREGION-1-AZREGION-3-AZReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ location \
-H "authorization: Bearer $OVH_TOKEN"[ { "availabilityZoneDatacenters": { "key": [ "string" ] }, "availabilityZones": [ "string" ], "cardinalPoint": "string", "cityCode": "string", "cityLatitude": 0, "cityLongitude": 0, "cityName": "string", "code": "string", "countryCode": "string", "countryName": "string", "geographyCode": "string", "geographyName": "string", "location": "string", "name": "string", "openingYear": 0, "services": [ "OCC" ], "specificType": "BACKUP", "status": "NON_OPERATIONAL", "type": "LOCAL-ZONE" }]
Get available region and its availability zonesProduction
Path parameters
Name
Response
List of datacenters by availability zone
List of availability zones for the region
Localized cardinal direction where the region is located. The value depends on the language query parameter.
ISO code of the city
Geographical latitude of the city
Geographical longitude of the city
Full name of the city
Region's short code
ISO code of the country
Full name of the country
Short code representing the geographical area
Name of the geographical area
Location of the region
Name of the region
Year the region was opened
List of services available in the region
OCCPEERINGSpecific typology of the region
BACKUPLZSNCSTANDARDOperational status of the region
NON_OPERATIONALOPERATIONALGeneral typology of the region
LOCAL-ZONEREGION-1-AZREGION-3-AZExample uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ location/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "availabilityZoneDatacenters": { "key": [ "string" ] }, "availabilityZones": [ "string" ], "cardinalPoint": "string", "cityCode": "string", "cityLatitude": 0, "cityLongitude": 0, "cityName": "string", "code": "string", "countryCode": "string", "countryName": "string", "geographyCode": "string", "geographyName": "string", "location": "string", "name": "string", "openingYear": 0, "services": [ "OCC" ], "specificType": "BACKUP", "status": "NON_OPERATIONAL", "type": "LOCAL-ZONE"}